using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace YBDevice.Entity
{
    /// <summary>
    /// 丽秀中医指导
    /// </summary>
    [SugarTable("YB_LXBodyGuide", TableDescription = "丽秀中医指导", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_LXBodyGuide
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }
        /// <summary>
        /// 体质ID
        /// </summary>
        [SugarColumn(ColumnDescription = "体质ID")]
        public Guid TypeId { get; set; }
        /// <summary>
        /// 特征
        /// </summary>
        [SugarColumn(ColumnDescription = "特征", ColumnDataType = "nvarchar(100)")]
        public string Feature { get; set; }
        /// <summary>
        /// 重点人群
        /// </summary>
        [SugarColumn(ColumnDescription = "重点人群", ColumnDataType = "nvarchar(100)")]
        public string People { get; set; }
        /// <summary>
        /// 患病倾向
        /// </summary>
        [SugarColumn(ColumnDescription = "患病倾向", ColumnDataType = "nvarchar(100)")]
        public string Sick { get; set; }
        /// <summary>
        /// 调养方式
        /// </summary>
        [SugarColumn(ColumnDescription = "调养方式", ColumnDataType = "nvarchar(100)")]
        public string Health { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public DateTime CreateTime { get; set; }
    }
}
